Package com.independentsoft.graph.queryoptions

# Class Query

java.lang.Object
com.independentsoft.graph.queryoptions.Query

public class Query extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Query()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `enableCount​(boolean enableCount)`
  `List<String>`
  `getExpand()`
  `ICondition`
  `getFilter()`
  `List<PropertyOrder>`
  `getOrderBy()`
  `Search`
  `getSearch()`
  `List<String>`
  `getSelect()`
  `int`
  `getSkip()`
  `String`
  `getSkipToken()`
  `int`
  `getTop()`
  `boolean`
  `isEnableCount()`
  `void`
  `setFilter​(ICondition filter)`
  `void`
  `setSearch​(Search search)`
  `void`
  `setSkip​(int skip)`
  `void`
  `setSkipToken​(String skipToken)`
  `void`
  `setTop​(int top)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Query

    public Query()

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getTop

    public int getTop()

  - ### setTop

    public void setTop​(int top)

  - ### getSkip

    public int getSkip()

  - ### setSkip

    public void setSkip​(int skip)

  - ### isEnableCount

    public boolean isEnableCount()

  - ### enableCount

    public void enableCount​(boolean enableCount)

  - ### getSkipToken

    public String getSkipToken()

  - ### setSkipToken

    public void setSkipToken​(String skipToken)

  - ### getSelect

    public List<String> getSelect()

  - ### getExpand

    public List<String> getExpand()

  - ### getOrderBy

    public List<PropertyOrder> getOrderBy()

  - ### getSearch

    public Search getSearch()

  - ### setSearch

    public void setSearch​(Search search)

  - ### getFilter

    public ICondition getFilter()

  - ### setFilter

    public void setFilter​(ICondition filter)